# Module lb_common

- Description
- Function Index
- Function Details

TODO: Add description to lb_common.

Copyright © 2010-2011 Zuse Institute Berlin

Version: $Id$

Authors: Nico Kruber (`kruber@zib.de`).

## Description

TODO: Add description to lb_common

## Function Index

bestStddev/2 |
bestStddev/3 |
calculateStddev/2 |
split_by_key/2 | Returns the given SplitKey and the load that would be split off by using this key.
split_my_range/2 | Returns the SplitKey that splits the current node's address range in two (almost) equal halves.

## Function Details

### calculateStddev/2

    calculateStddev(Avg :: number(), Avg2 :: number()) -> float()

### bestStddev/2

    bestStddev(Ops :: [lb_op:lb_op()],
               MinSum2Change :: integer() | plus_infinity) ->
                  [lb_op:lb_op()]

### bestStddev/3

    bestStddev(Ops :: [lb_op:lb_op()],
               MinSum2Change :: integer() | plus_infinity,
               SortFun ::
                   fun((Op1 :: {lb_op:lb_op(), integer()},
                        Op2 :: {lb_op:lb_op(), integer()}) ->
                           boolean())) ->
                  [lb_op:lb_op()]

### split_by_key/2

    split_by_key(DhtNodeState :: dht_node_state:state(),
                 SelectedKey :: rt_chord:key()) ->
                    {SplitKey :: rt_chord:key(),
                     TargetLoadNew :: non_neg_integer()}

Returns the given SplitKey and the load that would be split off by using this key.

### split_my_range/2

    split_my_range(DhtNodeState :: dht_node_state:state(),
                   SelectedKey :: rt_chord:key()) ->
                      {SplitKey :: rt_chord:key(),
                       TargetLoadNew :: non_neg_integer()}

Returns the SplitKey that splits the current node's address range in two (almost) equal halves.

Generated by EDoc, Feb 29 2016, 16:12:20.